Package: groovy.security

## [Java] Class GroovyCodeSourcePermission

- groovy.security.GroovyCodeSourcePermission

- Permission required to explicitly specify a codebase for a groovy script whose codebase cannot be determined. Typically this permission is only required by clients that want to associate a code source with a script which is a String or an InputStream.

  Authors:
    Steve Goetze

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyCodeSourcePermission (String name)`
    `GroovyCodeSourcePermission (String name, String actions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicPermission` | `equals, hashCode, implies, getActions, newPermissionCollection, getName, toString, checkGuard, getClass, notify, notifyAll, wait, wait, wait`
    `class Permission` | `getName, equals, toString, hashCode, implies, getActions, newPermissionCollection, checkGuard, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyCodeSourcePermission(String name)

    - #### public GroovyCodeSourcePermission(String name, String actions)